Package org.opensaml.saml.saml2.core

# Interface Conditions

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `ConditionsImpl`

public interface Conditions extends SAMLObject
SAML 2.0 Core Conditions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`NOT_BEFORE_ATTRIB_NAME`
NotBefore attribute name.
`static final QName`
`NOT_BEFORE_ATTRIB_QNAME`
QName for the NotBefore attribute.
`static final String`
`NOT_ON_OR_AFTER_ATTRIB_NAME`
Name for the NotOnOrAfter attribute.
`static final QName`
`NOT_ON_OR_AFTER_ATTRIB_QNAME`
QName for the NotOnOrAfter attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AudienceRestriction>`
`getAudienceRestrictions()`
Gets the audience restriction conditions for the assertion.
`List<Condition>`
`getConditions()`
Gets all the conditions on the assertion.
`List<Condition>`
`getConditions(QName typeOrName)`
Gets the list of conditions that match a particular QName.
`Instant`
`getNotBefore()`
Get the date/time before which the assertion is invalid.
`Instant`
`getNotOnOrAfter()`
Gets the date/time on, or after, which the assertion is invalid.
`OneTimeUse`
`getOneTimeUse()`
Gets the OneTimeUse condition for the assertion.
`ProxyRestriction`
`getProxyRestriction()`
Gets the ProxyRestriction condition for the assertion.
`void`
`setNotBefore(Instant newNotBefore)`
Sets the date/time before which the assertion is invalid.
`void`
`setNotOnOrAfter(Instant newNotOnOrAfter)`
Sets the date/time on, or after, which the assertion is invalid.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NOT_BEFORE_ATTRIB_NAME

@Nonnull @NotEmpty static final String NOT_BEFORE_ATTRIB_NAME
NotBefore attribute name.

See Also:
  - Constant Field Values

### NOT_BEFORE_ATTRIB_QNAME

@Nonnull static final QName NOT_BEFORE_ATTRIB_QNAME
QName for the NotBefore attribute.

### NOT_ON_OR_AFTER_ATTRIB_NAME

@Nonnull @NotEmpty static final String NOT_ON_OR_AFTER_ATTRIB_NAME
Name for the NotOnOrAfter attribute.

See Also:
  - Constant Field Values

### NOT_ON_OR_AFTER_ATTRIB_QNAME

@Nonnull static final QName NOT_ON_OR_AFTER_ATTRIB_QNAME
QName for the NotOnOrAfter attribute.

## Method Details

### getNotBefore

@Nullable Instant getNotBefore()
Get the date/time before which the assertion is invalid.

Returns:
  the date/time before which the assertion is invalid

### setNotBefore

void setNotBefore(@Nullable Instant newNotBefore)
Sets the date/time before which the assertion is invalid.

Parameters:
  `newNotBefore` - the date/time before which the assertion is invalid

### getNotOnOrAfter

@Nullable Instant getNotOnOrAfter()
Gets the date/time on, or after, which the assertion is invalid.

Returns:
  the date/time on, or after, which the assertion is invalid

### setNotOnOrAfter

void setNotOnOrAfter(@Nullable Instant newNotOnOrAfter)
Sets the date/time on, or after, which the assertion is invalid.

Parameters:
  `newNotOnOrAfter` - the date/time on, or after, which the assertion is invalid

### getConditions

@Nonnull @Live List<Condition> getConditions()
Gets all the conditions on the assertion.

Returns:
  all the conditions on the assertion

### getConditions

@Nonnull @Live List<Condition> getConditions(@Nonnull QName typeOrName)
Gets the list of conditions that match a particular QName.

Parameters:
  `typeOrName` - the QName of the conditions to return
Returns:
  the list of conditions that match the specified QName

### getAudienceRestrictions

@Nonnull @Live List<AudienceRestriction> getAudienceRestrictions()
Gets the audience restriction conditions for the assertion.

Returns:
  the audience restriction conditions for the assertion

### getOneTimeUse

@Nullable OneTimeUse getOneTimeUse()
Gets the OneTimeUse condition for the assertion.

Returns:
  the OneTimeUse condition for the assertion

### getProxyRestriction

@Nullable ProxyRestriction getProxyRestriction()
Gets the ProxyRestriction condition for the assertion.

Returns:
  the ProxyRestriction condition for the assertion